<?php get_header(); ?>

<?php include(TEMPLATEPATH."/left.php");?>

<div id="content">
<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 
<?php /* If this is a category archive */ if (is_category()) { ?>
<h1 class="archivetitle"><?php echo single_cat_title(); ?></h1>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2 class="archivetitle">Archive for <?php the_time('F jS, Y'); ?></h2>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2 class="archivetitle">Archive for <?php the_time('F, Y'); ?></h2>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2 class="archivetitle">Archive for <?php the_time('Y'); ?></h2>

<?php /* If this is a search */ } elseif (is_search()) { ?>
<h2 class="archivetitle">Search Results</h2>

<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2 class="archivetitle">Author Archive</h2>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2 class="archivetitle">Blog Archive</h2>

<?php } elseif ( function_exists('is_tag')) if (is_tag()) { ?>
<h1 class="archivetitle"><?php echo single_tag_title(); ?></h1>

<?php } ?>
<!-- google_ad_section_start -->
<?php while (have_posts()) : the_post(); ?>
<div class="post">
<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
<small><?php the_time('l, F jS, Y') ?></small>

<div class="entry">
<?php /* AdSense Code Start */ ?><?php if ($wp_query->current_post == 0) include("first-ad.php"); ?><?php /* AdSense Code End */ ?>
<?php /* Post Teaser Addon Fix */ ?><?php if (function_exists('post_teaser22')) : ?><?php the_content(); ?>
<?php else : ?><?php the_excerpt(','); ?><p>Continue Reading <a href="<?php the_permalink() ?>"><?php the_title(); ?></a></p><?php endif; ?><?php /* Post Teaser Addon Fix */ ?>

<?php /* Tags WP 2.3 Code Start */ if ( function_exists('is_tag')){ ?>
<p><?php the_tags(); ?></p>
<?php /* Tags WP 2.3 Code End */ } ?>
</div>

<p class="postmetadata">Filed under: <?php the_category(', ') ?><br/><?php comments_popup_link('Be the first to comment &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p> 

</div>

<?php endwhile; ?>
<!-- google_ad_section_end -->

<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:10px;">
<? include("adsense.php"); ?>
<?php InsertAdvert($CatBottom);?>
</div><?php /* AdSense Code End */ ?>

<div class="post-navs">
<?php if(function_exists('wp_pagenavi')): ?> <?php wp_pagenavi(); ?><?php else : ?><?php posts_nav_link(); ?><?php endif; ?>
</div>

<?php else : ?>

<h2>Not Found</h2>

<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:10px;">
<? include("adsense.php"); ?>
<?php InsertAdvert($CatBottom);?>
</div><?php /* AdSense Code End */ ?>

<?php include (TEMPLATEPATH . '/searchform.php'); ?>
<?php endif; ?>

</div>
<?php include(TEMPLATEPATH."/right.php");?>


<?php get_footer(); ?>